petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscDrawView

Prints the PetscDraw data structure.

### Synopsis

    #include "petscdraw.h"
    #include "petscviewer.h"
    PetscErrorCode  PetscDrawView(PetscDraw indraw,PetscViewer viewer)

Collective on PetscDraw

### Input Parameters

| indraw | - the PetscDraw context
| viewer | - visualization context

See PetscDrawSetFromOptions() for options database keys

### Note

The available visualization contexts include

| PETSC_VIEWER_STDOUT_SELF | - standard output (default)
| PETSC_VIEWER_STDOUT_WORLD | - synchronized standard output where only the first processor opens the file. All other processors send their data to the first processor to print.

The user can open an alternative visualization context with PetscViewerASCIIOpen() - output to a specified file.

### Keywords

PetscDraw, view

### See Also

PCView(), PetscViewerASCIIOpen()

### Level

beginner

### Location

src/sys/classes/draw/interface/drawreg.c

### Implementations

PetscDrawView_Image in src/sys/classes/draw/impls/image/drawimage.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages